summaryrefslogtreecommitdiff
path: root/tests/basic
diff options
context:
space:
mode:
authorDaniel Kahn Gillmor <dkg@fifthhorseman.net>2008-10-30 12:10:27 -0400
committerDaniel Kahn Gillmor <dkg@fifthhorseman.net>2008-10-30 12:10:27 -0400
commit2ae935a6dbd973730cd6e6aeb5cc5bbfc54949b5 (patch)
tree076099da3a45f50296a4f93628378ba3fdd41f7c /tests/basic
parente9a874c9ee4c634d574ada757ad1e8c721b890f8 (diff)
add checks to make sure that the test suite will be able to run.
Diffstat (limited to 'tests/basic')
-rwxr-xr-xtests/basic7
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/basic b/tests/basic
index d735578..8e7f88a 100755
--- a/tests/basic
+++ b/tests/basic
@@ -14,6 +14,13 @@
# all subcommands in this script should complete without failure:
set -e
+## make sure that the right tools are installed to run the test. the
+## test has *more* requirements than plain ol' monkeysphere:
+
+[ -x $(which socat) ] || { echo "You must have socat installed to run this test." && exit 1 }
+
+## FIXME: other checks?
+
# gpg command for test admin user
gpgadmin() {
GNUPGHOME="$TEMPDIR"/admin/.gnupg gpg "$@"